Class UmlActivityAction

Declaration :

- C++ : class UmlActivityAction : public UmlBaseActivityAction
- Java : abstract class UmlActivityAction extends UmlBaseActivityAction

Directly inherited by : UmlBaseAcceptEventAction UmlBaseAccessVariableValueAction UmlBaseCallBehaviorAction UmlBaseCallOperationAction UmlBaseOnSignalAction UmlBaseOpaqueAction UmlBaseSendObjectAction UmlBaseUnmarshallAction UmlBaseValueSpecificationAction

Artifact : UmlActivityAction

Operation UmlActivityAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlActivityAction(in id : item_id, in s : string) :
- C++ : protected: UmlActivityAction(void * id, const QCString & s) : UmlBaseActivityAction(id, s)
- Java : protected UmlActivityAction(long id, String s)

All public operations : apply , associatedDiagram , children , childrenVisible , cppPostCondition , cppPreCondition , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , javaPostCondition , javaPreCondition , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_CppPostCondition , set_CppPreCondition , set_Description , set_isMarked , set_JavaPostCondition , set_JavaPreCondition , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload